from solar_model import SolarSystem, TICKET_CONFIG
from solar_vis import SolarApp
from solar_input import save_system_to_file


def main():
    window = TICKET_CONFIG["window"]
    system = SolarSystem(window["width"], window["height"])
    app = SolarApp(system, save_system_to_file)
    app.run()


if __name__ == "__main__":
    main()
